Bug 1002921 - kickstart group+user --[gu]id option arguments don't work
kickstart group+user --[gu]id option arguments don't work
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda (Show other bugs)
7.0
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Martin Kolman
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-30 05:00 EDT by Heinz Mauelshagen
Modified: 2016-05-02 08:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-15 10:28:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heinz Mauelshagen 2013-08-30 05:00:24 EDT
Description of problem:
kickstart addition of group and user fails to set uid/gid correctly.

Version-Release number of selected component (if applicable):
anaconda-19.31.11-1.el7

How reproducible:
Add "
group --name=foogroup --gid=500
user  --name=baruser --uid=1002 --groups=foogroup --password=passwd --plaintext
" to kickstart and install.

Steps to Reproduce:
1. Kickstart install with aforementioned group+user config
2.
3.

Actual results:
User id wrong.
User not in reqeusted primary group.

Expected results:
User id correct and user in requested primary group.

Additional info:
Working around issue in %post via usermod
Comment 2 Martin Kolman 2013-10-10 07:55:30 EDT
Using Anaconda 19.31.23-1 on the 20131007 nightly image, I am not able to reproduce this issue. Could you recheck if it works for you too ?
Comment 3 Martin Kolman 2014-01-15 10:28:22 EST
Closing for now due to insufficient data. Feel free to reopen if someone can reproduce it on a recent compose.

Note You need to log in before you can comment on or make changes to this bug.